"use strict";function _interopDefault(e){return e&&"object"==typeof e&&"default"in e?e.default:e}var program=_interopDefault(require("commander")),chalk=_interopDefault(require("chalk")),fs=_interopDefault(require("fs-extra")),path=_interopDefault(require("path")),execa=_interopDefault(require("execa")),Listr=_interopDefault(require("listr"));require("resolve-global");var mkdirp=_interopDefault(require("mkdirp")),tar=_interopDefault(require("tar")),flatMap=_interopDefault(require("lodash/flatMap")),kebabCase=_interopDefault(require("lodash/kebabCase")),sdk=_interopDefault(require("@gooddata/gooddata-js")),inquirer=_interopDefault(require("inquirer"));const parseReplacementSpecTree=(e,a)=>Array.isArray(a)?{file:e,replacements:a}:flatMap(Object.entries(a),([a,t])=>parseReplacementSpecTree(path.join(e,a),t)),processFile=(e,a)=>async({file:t,replacements:r})=>{const o=await e(t,{encoding:"utf8",flag:"r"}),i=r.reduce((e,{regex:a,value:t})=>e.replace(a,t),o);return a(t,i,{encoding:"utf8",flag:"w"})},replaceInFiles=async(e,a,t=fs.readFile,r=fs.writeFile)=>Promise.all(parseReplacementSpecTree(e,a).map(processFile(t,r))),replaceSchemaWith=e=>a=>a.replace(/^(\w+:\/\/|)/,e),getDomainWithSchema=replaceSchemaWith("https://"),getDomainWithoutSchema=replaceSchemaWith(""),sanitizeAppName=kebabCase,verboseLog=e=>{console.log(`[VERBOSE]: ${e}`)},getTargetDirPath=(e,a)=>path.resolve(a||process.cwd(),e),copyAppFiles=async({targetDir:e,verbose:a})=>(mkdirp(e),tar.x({file:path.resolve(__dirname,"bootstrap.tgz"),strip:1,cwd:e})),performTemplateReplacements=({targetDir:e,sanitizedAppName:a,projectId:t,domain:r})=>{const o={"package.json":[{regex:/@gooddata\/gdc-app-name/,value:a}],src:{"constants.js":[{regex:/projectId: "\w+"/,value:`projectId: "${t}"`},{regex:/backend: "https:\/\/developer\.na\.gooddata\.com"/g,value:`backend: "${getDomainWithSchema(r)}"`}],"setupProxy.js":[{regex:/developer\.na\.gooddata\.com/g,value:getDomainWithoutSchema(r)}]}};return replaceInFiles(e,o)},runYarnInstall=({targetDir:e,install:a})=>a?execa("yarn",{cwd:e,stdio:[process.stdin,process.stdout,process.stderr]}):console.log("Skipping installation because the --no-install flag was specified"),outputFinalInstructions=({sanitizedAppName:e,install:a,targetDir:t})=>{console.log(`Success! Your GoodData-powered application "${e}" was created.`),console.log("You can start it using the following commands:"),console.log(chalk.cyan(`    cd ${path.relative(process.cwd(),t)}`)),a||console.log(chalk.cyan("    yarn install")),console.log(chalk.cyan("    yarn start"))},main=async e=>{const a={...e,targetDir:getTargetDirPath(e.sanitizedAppName,e.targetDir)};a.verbose&&verboseLog(`Target directory: ${a.targetDir}`);const t=new Listr([{title:"Copy app files",task:()=>copyAppFiles(a)},{title:"Set up app",task:()=>performTemplateReplacements(a)}]);await t.run(),await runYarnInstall(a),outputFinalInstructions(a)},inquireName=()=>inquirer.prompt({message:"What is your application name?",name:"name",type:"input"}).then(e=>e.name),inquireDomain=()=>inquirer.prompt([{message:"What is your domain?",name:"domain",type:"list",choices:[{value:"secure.gooddata.com"},{value:"developer.na.gooddata.com"},{value:"salesengineering.na.gooddata.com"},{name:"I have a custom domain",value:"WHITE_LABELLED"}]},{message:"Insert your domain",name:"domain",type:"input",when:({domain:e})=>"WHITE_LABELLED"===e}]).then(e=>e.domain),CHOOSING_PROJECT_ID="CHOOSING_PROJECT_ID",inquireProjectId=()=>inquirer.prompt([{message:"Do you have a GoodData project ID ready?",name:"projectId",type:"list",choices:[{name:"I want to log in and choose from the projects available to me",value:CHOOSING_PROJECT_ID},{name:"I have a project ID ready",value:"PASTING_PROJECT_ID"},{name:"I don't have any project ID",value:""}]},{message:"Enter projectId",name:"projectId",type:"input",when:({projectId:e})=>"PASTING_PROJECT_ID"===e}]).then(e=>e.projectId),inquireUsernamePassword=()=>inquirer.prompt([{message:"Username",name:"username",type:"input"},{message:"Password",name:"password",type:"password"}]),inquireProjectChoice=e=>inquirer.prompt({message:"Pick from available projects",name:"projectId",type:"list",choices:e.map(e=>({name:e.title,value:e.identifier}))}).then(e=>e.projectId),getSanitizedAppName=async e=>{const a=e||await inquireName();if(!a)throw new Error("You must provide a name for your app");return sanitizeAppName(a)},getProjectId=async e=>{const a=await inquireProjectId();return a===CHOOSING_PROJECT_ID?showProjectIdPicker(e):a||(outputProjectIdInstructions(),void process.exit())},showProjectIdPicker=async e=>{const{username:a,password:t}=await inquireUsernamePassword();try{sdk.config.setCustomDomain(getDomainWithSchema(e));const r=new Listr([{title:"Signing you in",task:()=>sdk.user.login(a,t).catch(e=>{throw new Error(`Error communicating with GoodData (${e.message}). Please try again.`)})},{title:"Getting available projects",task:async e=>{const a=(await sdk.xhr.get("/gdc/md")).getData();if(e.links=a.about.links,!(e.links&&e.links.length>0))throw new Error("There is no project associated with your account. Please contact your administrator.")}}]),{links:o}=await r.run();return inquireProjectChoice(o)}catch(e){process.exit(1)}},outputProjectIdInstructions=()=>{console.log("To obtain project ID, please consult the help"),console.log(chalk.cyan("https://help.gooddata.com/doc/en/project-and-user-administration/administering-projects-and-project-objects/find-the-project-id")),console.log("or request a trial"),console.log(chalk.cyan("https://gooddata.com/trial"))},getBootstrapData=async(e,{domainUrl:a,projectId:t})=>{const r=await getSanitizedAppName(e),o=a||await inquireDomain();return{sanitizedAppName:r,domain:o,projectId:t||await getProjectId(o)}},parseConfig=({domain:e,projectId:a,appName:t},r)=>{if(!e)throw new Error("You must provide a domain for your app");if(!a)throw new Error("You must provide a projectId for your app");const o=sanitizeAppName(t||r);if(!o)throw new Error("You must provide a name for your app");return{sanitizedAppName:o,domain:e,projectId:a}},getBootstrapData$1=async(e,{config:a})=>{const t=await fs.readJSON(a,{encoding:"utf8",flag:"r"});return parseConfig(t,e)};program.name("@gooddata/create-react-app").arguments("[app-name]").option("-d, --domainUrl <domain>","URL of your GoodData domain").option("-p, --projectId <projectId>","projectID of your GoodData project").option("-c, --config <config>","path to configuration file").option("--target-dir <path>",'path to the directory to create the app in (default: ".")').option("--no-install","skip yarn installing the app dependencies").option("--verbose","output additional logs, useful mainly for debugging and bug reports").action(async e=>{const a=program.config?getBootstrapData$1:getBootstrapData,t=await a(e,program);return main({...t,install:program.install,targetDir:program.targetDir,verbose:program.verbose})}).parse(process.argv);
